Subject: Re: [PATCH 0/3] revision: refactor ref_excludes to ref_visibility

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Jun 2023 13:56:13 -0700

"John Cai via GitGitGadget" <[email-masked]> writes:

> The ref_excludes API is used to tell which refs should be excluded. However,
> there are times when we would want to add refs to explicitly include as
> well. 4fe42f326e (pack-refs: teach pack-refs --include option, 2023-05-12)
> taught pack-refs how to include certain refs, but did it in a more manual
> way by keeping the ref patterns in a separate string list. Instead, we can
> easily extend the ref_excludes API to include refs as well, since this use
> case fits into the API nicely.

Hmph, how would this interact with the other topic in flight that
touch the ref exclusion logic tb/refs-exclusion-and-packed-refs?

Thanks.